summaryrefslogtreecommitdiffstats
path: root/network/pgpool-II/rc.pgpool
diff options
context:
space:
mode:
Diffstat (limited to 'network/pgpool-II/rc.pgpool')
-rw-r--r--network/pgpool-II/rc.pgpool107
1 files changed, 107 insertions, 0 deletions
diff --git a/network/pgpool-II/rc.pgpool b/network/pgpool-II/rc.pgpool
new file mode 100644
index 0000000000..e5289608a8
--- /dev/null
+++ b/network/pgpool-II/rc.pgpool
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for pgpool-II
+
+# Copyright 2018, Dejan Strbac <me@dejanstrbac.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+LOGFILE=/var/log/postgresql
+PGPOOL=/usr/bin/pgpool
+PIDPATH=/var/run/pgpool
+PIDFILE=$PIDPATH/pgpool.pid
+
+[ ! -d $PIDPATH ] && mkdir $PIDPATH
+
+case "$1" in
+
+ "start")
+ echo "Starting pgpool-II"
+ if [ $(pgrep -f $PGPOOL) ]; then
+ echo "pgpool daemon already running"
+ if [ ! -f $PIDFILE ]; then
+ echo "Warning: Missing pid file $PIDFILE"
+ fi
+ exit 1
+
+ else
+ $PGPOOL
+ exit 0
+ fi
+ ;;
+
+ "stop")
+ echo "Shutting down pgpool-II..."
+ $PGPOOL stop
+ ;;
+
+ "force-stop")
+ echo "Shutting down pgpool-II (fast)..."
+ $PGPOOL -m fast stop
+ ;;
+
+ "restart")
+ echo "Restarting pgpool-II..."
+ if [ $(pgrep -f $PGPOOL) ]; then
+ $PGPOOL stop; $PGPOOL
+ exit 1
+ else
+ $PGPOOL
+ exit 0
+ fi
+ ;;
+
+ "force-restart")
+ echo "Restarting pgpool-II (fast)..."
+ if [ $(pgrep -f $PGPOOL) ]; then
+ $PGPOOL -m fast stop; $PGPOOL
+ exit 1
+ else
+ $PGPOOL
+ exit 0
+ fi
+ ;;
+
+ "reload")
+ echo "Reloading configuration for pgpool-II..."
+ $PGPOOL reload
+ ;;
+
+ "status")
+ if [ $(pgrep -f $PGPOOL) ]; then
+ echo "pgpool-II is running"
+ if [ ! -f $PIDFILE ]; then
+ echo "Warning: Missing pid file $PIDFILE"
+ fi
+ exit 0
+ else
+ echo "pgpool-II is stopped"
+ if [ ! -f $PIDFILE ]; then
+ echo "Detected stale pid file $PIDFILE"
+ fi
+ exit 0
+ fi
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|force-stop|status|restart|force-restart|reload}"
+ exit 1
+ ;;
+esac
+